org.apache.ignite.internal.processors.cache.distributed.dht

## Class CacheDistributedGetFutureAdapter.AbstractMiniFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Map<K,V>>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.CacheDistributedGetFutureAdapter.AbstractMiniFuture

All Implemented Interfaces:
  IgniteInternalFuture<Map<K,V>>

Enclosing class:
  CacheDistributedGetFutureAdapter<K,V>

    protected abstract class CacheDistributedGetFutureAdapter.AbstractMiniFuture
    extends GridFutureAdapter<Map<K,V>>

Mini-future for get operations. Mini-futures are only waiting on a single node as opposed to multiple nodes.

### Field Summary

Fields
`protected LinkedHashMap<KeyCacheObject,Boolean>` `keys` Mapped keys.
`protected ClusterNode` `node` Mapped node.
`protected AffinityTopologyVersion` `topVer` Topology version on which this future was mapped.

### Constructor Summary

Constructors
`protected` `AbstractMiniFuture(ClusterNode node, LinkedHashMap<KeyCacheObject,Boolean> keys, AffinityTopologyVersion topVer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`GridNearGetRequest` `createGetRequest(IgniteUuid rootFutId)` Factory methond for generate request associated with this miniFuture.
`protected abstract GridNearGetRequest` `createGetRequest0(IgniteUuid rootFutId, IgniteUuid futId)`
`protected abstract Map<K,V>` `createResultMap(Collection<GridCacheEntryInfo> entries)`
`IgniteUuid` `futureId()`
`Collection<KeyCacheObject>` `keys()`
`ClusterNode` `node()`
`void` `onNodeLeft(ClusterTopologyCheckedException e)`
`void` `onResult(GridNearGetResponse res)`
`void` `onResult(Throwable e)`
`protected void` `postProcessResult(GridNearGetResponse res)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### node

    protected final ClusterNode node

Mapped node.

#### keys

    @GridToStringInclude
    protected final LinkedHashMap<KeyCacheObject,Boolean> keys

Mapped keys.

#### topVer

    protected final AffinityTopologyVersion topVer

Topology version on which this future was mapped.

### Constructor Detail

#### AbstractMiniFuture

    protected AbstractMiniFuture(ClusterNode node,
                                 LinkedHashMap<KeyCacheObject,Boolean> keys,
                                 AffinityTopologyVersion topVer)

Parameters:
  `node` - Node.
  `keys` - Keys.
  `topVer` - Topology version.

### Method Detail

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### node

    public ClusterNode node()

Returns:
  Node ID.

#### keys

    public Collection<KeyCacheObject> keys()

Returns:
  Keys.

#### createGetRequest

    public GridNearGetRequest createGetRequest(IgniteUuid rootFutId)

Factory methond for generate request associated with this miniFuture.

Parameters:
  `rootFutId` - Root future id.
Returns:
  Near get request.

#### createGetRequest0

    protected abstract GridNearGetRequest createGetRequest0(IgniteUuid rootFutId,
                                                            IgniteUuid futId)

Parameters:
  `rootFutId` - Root future id.
  `futId` - Mini future id.
Returns:
  Near get request.

#### createResultMap

    protected abstract Map<K,V> createResultMap(Collection<GridCacheEntryInfo> entries)

Parameters:
  `entries` - Collection of entries.
Returns:
  Map with key value results.

#### onResult

    public void onResult(Throwable e)

Parameters:
  `e` - Error.

#### onNodeLeft

    public void onNodeLeft(ClusterTopologyCheckedException e)

Parameters:
  `e` - Failure exception.

#### onResult

    public void onResult(GridNearGetResponse res)

Parameters:
  `res` - Result callback.

#### postProcessResult

    protected void postProcessResult(GridNearGetResponse res)

Parameters:
  `res` - Response.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Map<K,V>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020